<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/regle.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Structures de données</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier regle.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une regle permet de définir quelles configurations permettrons de défiir les cellules suivantes.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;regle.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de regle.c:</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c__incl.png" border="0" usemap="#src_2regle_8c" alt=""/></div>
<map name="src_2regle_8c" id="src_2regle_8c">
<area shape="rect" title="Une regle permet de définir quelles configurations permettrons de défiir les cellules suivantes." alt="" coords="5,5,88,32"/>
<area shape="rect" title=" " alt="" coords="16,80,77,107"/>
</map>
</div>
</div>
<p><a href="regle_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Structures de données</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structregle.html">regle</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Une regle.  <a href="structregle.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a251bd1b86ce38f9b98b2bd4ec42432da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da">_config_binaire</a> (char *numero_binaire, unsigned int nombre_etat, ptr_str_regle *ptr)</td></tr>
<tr class="memdesc:a251bd1b86ce38f9b98b2bd4ec42432da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer un tableau de configuration pour deux etats.  <a href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da">Plus de détails...</a><br /></td></tr>
<tr class="separator:a251bd1b86ce38f9b98b2bd4ec42432da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b95dee8a7e84ea3037cb05a7c963f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5">_config_somme</a> (char *numero_binaire, unsigned int nombre_etat, ptr_str_regle *ptr)</td></tr>
<tr class="memdesc:ac7b95dee8a7e84ea3037cb05a7c963f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer un tableau de configuration avec plus de 3 etats.  <a href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac7b95dee8a7e84ea3037cb05a7c963f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66825a41280d604f6cd3c8b5f373a7ee"><td class="memItemLeft" align="right" valign="top">ptr_str_regle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee">creer_regle</a> (char *numero, unsigned int nombre_etat)</td></tr>
<tr class="memdesc:a66825a41280d604f6cd3c8b5f373a7ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer une structure regle.  <a href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee">Plus de détails...</a><br /></td></tr>
<tr class="separator:a66825a41280d604f6cd3c8b5f373a7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a012109f6ea56e4d9315d79f8a8f3f8e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a012109f6ea56e4d9315d79f8a8f3f8e0">creer_tableau_configuration</a> (char *numero_binaire, unsigned int nombre_etat, ptr_str_regle ptr, void(*_config)(char *, unsigned int, ptr_str_regle *))</td></tr>
<tr class="memdesc:a012109f6ea56e4d9315d79f8a8f3f8e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer un tbleau de configuration en fonction du nombre d'état possible.  <a href="regle_8c.html#a012109f6ea56e4d9315d79f8a8f3f8e0">Plus de détails...</a><br /></td></tr>
<tr class="separator:a012109f6ea56e4d9315d79f8a8f3f8e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73aeb391bdf6be3f730c3d725360257a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a">recherche_configuration</a> (ptr_str_regle <a class="el" href="structregle.html">regle</a>, ptr_str_conf conf)</td></tr>
<tr class="memdesc:a73aeb391bdf6be3f730c3d725360257a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trouve la valeur de la sortie de la configuration passé en paramètre à partir d'une configuration identique présente dans la regle.  <a href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a73aeb391bdf6be3f730c3d725360257a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad852e50dfdd6aa3660731b37de177d2c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#ad852e50dfdd6aa3660731b37de177d2c">recherche_indice</a> (ptr_str_regle <a class="el" href="structregle.html">regle</a>, unsigned int indice)</td></tr>
<tr class="memdesc:ad852e50dfdd6aa3660731b37de177d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trouve la valeur de la sortie a partir de l'indice donnee en parametre.  <a href="regle_8c.html#ad852e50dfdd6aa3660731b37de177d2c">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad852e50dfdd6aa3660731b37de177d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46e5c74eda89fcaf925f91806d5bf86c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a46e5c74eda89fcaf925f91806d5bf86c">get_nombre_etat</a> (ptr_str_regle ptr)</td></tr>
<tr class="memdesc:a46e5c74eda89fcaf925f91806d5bf86c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "nombre_etat".  <a href="regle_8c.html#a46e5c74eda89fcaf925f91806d5bf86c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a46e5c74eda89fcaf925f91806d5bf86c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb64bb8f15528e167294857d015a193a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#abb64bb8f15528e167294857d015a193a">get_numero_decimale</a> (ptr_str_regle ptr)</td></tr>
<tr class="memdesc:abb64bb8f15528e167294857d015a193a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "numero_decimale".  <a href="regle_8c.html#abb64bb8f15528e167294857d015a193a">Plus de détails...</a><br /></td></tr>
<tr class="separator:abb64bb8f15528e167294857d015a193a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5f4f5a6960efe9d383d86c67c4f7190"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#ab5f4f5a6960efe9d383d86c67c4f7190">get_numero_binaire</a> (ptr_str_regle ptr)</td></tr>
<tr class="memdesc:ab5f4f5a6960efe9d383d86c67c4f7190"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "numero_binaire".  <a href="regle_8c.html#ab5f4f5a6960efe9d383d86c67c4f7190">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab5f4f5a6960efe9d383d86c67c4f7190"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ca766573256b9fdbf502eed89d98e9"><td class="memItemLeft" align="right" valign="top">ptr_str_conf *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#ac7ca766573256b9fdbf502eed89d98e9">get_tab_configuration</a> (ptr_str_regle ptr)</td></tr>
<tr class="memdesc:ac7ca766573256b9fdbf502eed89d98e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut tab configuration.  <a href="regle_8c.html#ac7ca766573256b9fdbf502eed89d98e9">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac7ca766573256b9fdbf502eed89d98e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12710fa473da40d460ea41037c23ade9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a12710fa473da40d460ea41037c23ade9">delete_regle</a> (ptr_str_regle *ptr)</td></tr>
<tr class="memdesc:a12710fa473da40d460ea41037c23ade9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Desallouer la memoire de la regle.  <a href="regle_8c.html#a12710fa473da40d460ea41037c23ade9">Plus de détails...</a><br /></td></tr>
<tr class="separator:a12710fa473da40d460ea41037c23ade9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f644974675b843554ffe9330ef4846b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="regle_8c.html#a3f644974675b843554ffe9330ef4846b">afficher_regle</a> (ptr_str_regle ptr)</td></tr>
<tr class="memdesc:a3f644974675b843554ffe9330ef4846b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche une regle (l'ensemble des configurations)  <a href="regle_8c.html#a3f644974675b843554ffe9330ef4846b">Plus de détails...</a><br /></td></tr>
<tr class="separator:a3f644974675b843554ffe9330ef4846b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une regle permet de définir quelles configurations permettrons de défiir les cellules suivantes. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-10-04</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a251bd1b86ce38f9b98b2bd4ec42432da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a251bd1b86ce38f9b98b2bd4ec42432da">&#9670;&nbsp;</a></span>_config_binaire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _config_binaire </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>numero_binaire</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>nombre_etat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_regle *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer un tableau de configuration pour deux etats. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">numero_binaire</td><td>Une chaine de caractère représentant le numéro de la regle en binaire </td></tr>
    <tr><td class="paramname">nombre_etat</td><td>Le nombre d'état possible pour une cellule </td></tr>
    <tr><td class="paramname">ptr</td><td>un pointeur sur un pointeur de struct regle </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00049">49</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_cgraph.png" border="0" usemap="#regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_cgraph" alt=""/></div>
<map name="regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_cgraph" id="regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_cgraph">
<area shape="rect" title="Créer un tableau de configuration pour deux etats." alt="" coords="5,85,113,112"/>
<area shape="rect" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="161,5,292,32"/>
<area shape="rect" href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c" title="Convertir un nombre decimal entre 0 et 256 en binaire." alt="" coords="163,56,290,83"/>
<area shape="rect" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01" title="Initialise les valeurs pour une structure configuration donnée." alt="" coords="167,107,286,149"/>
<area shape="rect" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d" title="Initialise la valeurs de sortie pour une structure configuration donnée." alt="" coords="167,173,286,214"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_icgraph.png" border="0" usemap="#regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_icgraph" alt=""/></div>
<map name="regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_icgraph" id="regle_8c_a251bd1b86ce38f9b98b2bd4ec42432da_icgraph">
<area shape="rect" title="Créer un tableau de configuration pour deux etats." alt="" coords="399,5,507,32"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="ac7b95dee8a7e84ea3037cb05a7c963f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7b95dee8a7e84ea3037cb05a7c963f5">&#9670;&nbsp;</a></span>_config_somme()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _config_somme </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>numero_binaire</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>nombre_etat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_regle *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer un tableau de configuration avec plus de 3 etats. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">numero_binaire</td><td>Une chaine de caractère représentant le numéro de la regle en binaire </td></tr>
    <tr><td class="paramname">nombre_etat</td><td>Le nombre d'état possible pour une cellule </td></tr>
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00081">81</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_cgraph.png" border="0" usemap="#regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_cgraph" alt=""/></div>
<map name="regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_cgraph" id="regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_cgraph">
<area shape="rect" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="5,35,119,61"/>
<area shape="rect" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="167,5,297,32"/>
<area shape="rect" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d" title="Initialise la valeurs de sortie pour une structure configuration donnée." alt="" coords="173,57,291,98"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_icgraph.png" border="0" usemap="#regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_icgraph" alt=""/></div>
<map name="regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_icgraph" id="regle_8c_ac7b95dee8a7e84ea3037cb05a7c963f5_icgraph">
<area shape="rect" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="399,5,512,32"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a3f644974675b843554ffe9330ef4846b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f644974675b843554ffe9330ef4846b">&#9670;&nbsp;</a></span>afficher_regle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void afficher_regle </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affiche une regle (l'ensemble des configurations) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00254">254</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a3f644974675b843554ffe9330ef4846b_cgraph.png" border="0" usemap="#regle_8c_a3f644974675b843554ffe9330ef4846b_cgraph" alt=""/></div>
<map name="regle_8c_a3f644974675b843554ffe9330ef4846b_cgraph" id="regle_8c_a3f644974675b843554ffe9330ef4846b_cgraph">
<area shape="rect" title="Affiche une regle (l&#39;ensemble des configurations)" alt="" coords="5,46,104,73"/>
<area shape="rect" href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695" title="Affiche les attributs d&#39;une configuration." alt="" coords="152,5,295,47"/>
<area shape="rect" href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759" title="Affiche une configuration à plus de 2 états." alt="" coords="152,71,295,112"/>
</map>
</div>

</div>
</div>
<a id="a66825a41280d604f6cd3c8b5f373a7ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66825a41280d604f6cd3c8b5f373a7ee">&#9670;&nbsp;</a></span>creer_regle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_regle creer_regle </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>numero</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>nombre_etat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer une structure regle. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">numero</td><td>Le numero de la regle en binaire à appliquer. </td></tr>
    <tr><td class="paramname">nombre_etat</td><td>Le nombre d'état possible pour une cellule. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>ptr_str_regle Un pointeur sur un pointeur de structure regle. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00105">105</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_cgraph.png" border="0" usemap="#regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_cgraph" alt=""/></div>
<map name="regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_cgraph" id="regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_cgraph">
<area shape="rect" title="Créer une structure regle." alt="" coords="5,115,92,141"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="176,89,284,116"/>
<area shape="rect" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="173,39,287,65"/>
<area shape="rect" href="utils_8c.html#a3b7908e8916a52b84521dfee1c9fa0d3" title="Convertit un nombre binaire en decimal." alt="" coords="167,140,293,167"/>
<area shape="rect" href="regle_8c.html#a012109f6ea56e4d9315d79f8a8f3f8e0" title="Créer un tbleau de configuration en fonction du nombre d&#39;état possible." alt="" coords="140,191,320,217"/>
<area shape="rect" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="368,5,499,32"/>
<area shape="rect" href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c" title="Convertir un nombre decimal entre 0 et 256 en binaire." alt="" coords="370,123,497,149"/>
<area shape="rect" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01" title="Initialise les valeurs pour une structure configuration donnée." alt="" coords="374,174,493,215"/>
<area shape="rect" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d" title="Initialise la valeurs de sortie pour une structure configuration donnée." alt="" coords="374,57,493,98"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_icgraph.png" border="0" usemap="#regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_icgraph" alt=""/></div>
<map name="regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_icgraph" id="regle_8c_a66825a41280d604f6cd3c8b5f373a7ee_icgraph">
<area shape="rect" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a012109f6ea56e4d9315d79f8a8f3f8e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a012109f6ea56e4d9315d79f8a8f3f8e0">&#9670;&nbsp;</a></span>creer_tableau_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void creer_tableau_configuration </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>numero_binaire</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>nombre_etat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(char *, unsigned int, ptr_str_regle *)&#160;</td>
          <td class="paramname"><em>_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer un tbleau de configuration en fonction du nombre d'état possible. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">numero_binaire</td><td>Une chaine de caractère représentant le numéro de la regle en binaire </td></tr>
    <tr><td class="paramname">nombre_etat</td><td>Le nombre d'état possible pour une cellule </td></tr>
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
    <tr><td class="paramname">_config</td><td>La configuration choisie </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00135">135</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a012109f6ea56e4d9315d79f8a8f3f8e0_icgraph.png" border="0" usemap="#regle_8c_a012109f6ea56e4d9315d79f8a8f3f8e0_icgraph" alt=""/></div>
<map name="regle_8c_a012109f6ea56e4d9315d79f8a8f3f8e0_icgraph" id="regle_8c_a012109f6ea56e4d9315d79f8a8f3f8e0_icgraph">
<area shape="rect" title="Créer un tbleau de configuration en fonction du nombre d&#39;état possible." alt="" coords="399,5,579,32"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a12710fa473da40d460ea41037c23ade9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12710fa473da40d460ea41037c23ade9">&#9670;&nbsp;</a></span>delete_regle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delete_regle </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Desallouer la memoire de la regle. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00226">226</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a12710fa473da40d460ea41037c23ade9_icgraph.png" border="0" usemap="#regle_8c_a12710fa473da40d460ea41037c23ade9_icgraph" alt=""/></div>
<map name="regle_8c_a12710fa473da40d460ea41037c23ade9_icgraph" id="regle_8c_a12710fa473da40d460ea41037c23ade9_icgraph">
<area shape="rect" title="Desallouer la memoire de la regle." alt="" coords="271,5,363,32"/>
<area shape="rect" href="automate_8c.html#aa3ba78ebbf6cec54e6e4e0fa0fced8ee" title="Désaloue la mémoire des attributs de la structure automate_cell, la structure elle même et son pointe..." alt="" coords="104,5,223,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a46e5c74eda89fcaf925f91806d5bf86c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46e5c74eda89fcaf925f91806d5bf86c">&#9670;&nbsp;</a></span>get_nombre_etat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_nombre_etat </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "nombre_etat". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00181">181</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a46e5c74eda89fcaf925f91806d5bf86c_icgraph.png" border="0" usemap="#regle_8c_a46e5c74eda89fcaf925f91806d5bf86c_icgraph" alt=""/></div>
<map name="regle_8c_a46e5c74eda89fcaf925f91806d5bf86c_icgraph" id="regle_8c_a46e5c74eda89fcaf925f91806d5bf86c_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;nombre_etat&quot;." alt="" coords="215,5,333,32"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="104,5,167,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="ab5f4f5a6960efe9d383d86c67c4f7190"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5f4f5a6960efe9d383d86c67c4f7190">&#9670;&nbsp;</a></span>get_numero_binaire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* get_numero_binaire </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "numero_binaire". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>char* </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00203">203</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_ab5f4f5a6960efe9d383d86c67c4f7190_icgraph.png" border="0" usemap="#regle_8c_ab5f4f5a6960efe9d383d86c67c4f7190_icgraph" alt=""/></div>
<map name="regle_8c_ab5f4f5a6960efe9d383d86c67c4f7190_icgraph" id="regle_8c_ab5f4f5a6960efe9d383d86c67c4f7190_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;numero_binaire&quot;." alt="" coords="332,46,467,73"/>
<area shape="rect" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="104,5,284,47"/>
<area shape="rect" href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539" title="Affiche les attributs de la structure automate_cell." alt="" coords="104,71,284,112"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,46,56,73"/>
</map>
</div>

</div>
</div>
<a id="abb64bb8f15528e167294857d015a193a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb64bb8f15528e167294857d015a193a">&#9670;&nbsp;</a></span>get_numero_decimale()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_numero_decimale </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "numero_decimale". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00192">192</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_abb64bb8f15528e167294857d015a193a_icgraph.png" border="0" usemap="#regle_8c_abb64bb8f15528e167294857d015a193a_icgraph" alt=""/></div>
<map name="regle_8c_abb64bb8f15528e167294857d015a193a_icgraph" id="regle_8c_abb64bb8f15528e167294857d015a193a_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;numero_decimale&quot;." alt="" coords="332,13,481,39"/>
<area shape="rect" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="104,5,284,47"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,13,56,39"/>
</map>
</div>

</div>
</div>
<a id="ac7ca766573256b9fdbf502eed89d98e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7ca766573256b9fdbf502eed89d98e9">&#9670;&nbsp;</a></span>get_tab_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_conf* get_tab_configuration </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut tab configuration. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>ptr_str_conf* </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00214">214</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>

</div>
</div>
<a id="a73aeb391bdf6be3f730c3d725360257a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73aeb391bdf6be3f730c3d725360257a">&#9670;&nbsp;</a></span>recherche_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int recherche_configuration </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>regle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>conf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trouve la valeur de la sortie de la configuration passé en paramètre à partir d'une configuration identique présente dans la regle. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">regle</td><td>Un pointeur sur un pointeur de structure regle </td></tr>
    <tr><td class="paramname">conf</td><td>Un pointeur sur un pointeur de structure configuration </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int La sortie de la configuration </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00149">149</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a73aeb391bdf6be3f730c3d725360257a_cgraph.png" border="0" usemap="#regle_8c_a73aeb391bdf6be3f730c3d725360257a_cgraph" alt=""/></div>
<map name="regle_8c_a73aeb391bdf6be3f730c3d725360257a_cgraph" id="regle_8c_a73aeb391bdf6be3f730c3d725360257a_cgraph">
<area shape="rect" title="Trouve la valeur de la sortie de la configuration passé en paramètre à partir d&#39;une configuration ide..." alt="" coords="5,31,164,57"/>
<area shape="rect" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154" title="Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2." alt="" coords="227,5,305,32"/>
<area shape="rect" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af" title="Retourne l&#39;attribut etat_sortie." alt="" coords="212,56,320,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_a73aeb391bdf6be3f730c3d725360257a_icgraph.png" border="0" usemap="#regle_8c_a73aeb391bdf6be3f730c3d725360257a_icgraph" alt=""/></div>
<map name="regle_8c_a73aeb391bdf6be3f730c3d725360257a_icgraph" id="regle_8c_a73aeb391bdf6be3f730c3d725360257a_icgraph">
<area shape="rect" title="Trouve la valeur de la sortie de la configuration passé en paramètre à partir d&#39;une configuration ide..." alt="" coords="215,5,373,32"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="104,5,167,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="ad852e50dfdd6aa3660731b37de177d2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad852e50dfdd6aa3660731b37de177d2c">&#9670;&nbsp;</a></span>recherche_indice()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int recherche_indice </td>
          <td>(</td>
          <td class="paramtype">ptr_str_regle&#160;</td>
          <td class="paramname"><em>regle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>indice</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Trouve la valeur de la sortie a partir de l'indice donnee en parametre. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">regle</td><td>Un pointeur sur un pointeur de structure regle. </td></tr>
    <tr><td class="paramname">indice</td><td>Un entier positif </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int La sortie de la configuration </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="regle_8c_source.html#l00167">167</a> du fichier <a class="el" href="regle_8c_source.html">regle.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_ad852e50dfdd6aa3660731b37de177d2c_cgraph.png" border="0" usemap="#regle_8c_ad852e50dfdd6aa3660731b37de177d2c_cgraph" alt=""/></div>
<map name="regle_8c_ad852e50dfdd6aa3660731b37de177d2c_cgraph" id="regle_8c_ad852e50dfdd6aa3660731b37de177d2c_cgraph">
<area shape="rect" title="Trouve la valeur de la sortie a partir de l&#39;indice donnee en parametre." alt="" coords="5,5,125,32"/>
<area shape="rect" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af" title="Retourne l&#39;attribut etat_sortie." alt="" coords="173,5,281,32"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="regle_8c_ad852e50dfdd6aa3660731b37de177d2c_icgraph.png" border="0" usemap="#regle_8c_ad852e50dfdd6aa3660731b37de177d2c_icgraph" alt=""/></div>
<map name="regle_8c_ad852e50dfdd6aa3660731b37de177d2c_icgraph" id="regle_8c_ad852e50dfdd6aa3660731b37de177d2c_icgraph">
<area shape="rect" title="Trouve la valeur de la sortie a partir de l&#39;indice donnee en parametre." alt="" coords="215,5,335,32"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="104,5,167,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
